## moodss 19.7-1

=== debian/changelog ===
moodss (19.7-1) unstable; urgency=low

  * New upstream

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Wed, 02 Mar 2005 08:40:13 +0200

moodss (19.6-2) unstable; urgency=low

  * Dependency fix for libsqlite-tcl (closes #295911)

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Wed, 02 Mar 2005 07:40:13 +0200

moodss (19.6-1) unstable; urgency=low

  * New upstream release (closes #289428)
  * Both links work, sf.net and free.fr (closes #269770)
  * Hopefully the new version uses more legible fonts (closes #270475)

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Wed, 15 Feb 2005 13:40:13 +0200

moodss (17.17-2) unstable; urgency=low

  * Fixed target "clean" in rules (closes #238626)

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Mon, 20 Mar 2004 16:40:13 +0200

moodss (17.17-1) unstable; urgency=low

  * New upstream version (closes #219980)

 -- Lars Steinke (Debian Developer) <lss@debian.org>  Mon, 15 Mar 2004 16:27:38 +0200

moodss (17.1-1) unstable; urgency=low

  * New upstream version, removed dependencies on tcl/tk8.2

 -- Lars Steinke <lss@debian.org>  Tue, 20 May 2003 16:27:38 +0200

moodss (14.0-2) unstable; urgency=low

  * Fixed build depends (closes #84592) 

 -- Lars Steinke <lss@debian.org>  Wed, 18 Apr 2001 20:38:53 +0200

moodss (14.0-1) unstable; urgency=low

  * New upstream version with additional modules (closes #88084,#78851)

 -- Lars Steinke <lss@debian.org>  Thu,  8 Mar 2001 17:09:15 +0100

moodss (9.0-3) unstable; urgency=low

  * Fixed linitan messages

 -- Lars Steinke <lss@debian.org>  Wed, 15 Mar 2000 13:38:43 +0100

moodss (9.0-2) unstable; urgency=low

  * debian/rules file corrected for Alpha port recompilation

 -- Lars Steinke <lss@debian.org>  Thu, 14 Oct 1999 13:43:50 +0200

moodss (9.0-1) unstable; urgency=low

  * New upstream version (Tk/Tcl 8.2, closes Bug#44935), fixes the diskstats 
    bug with SMP machines reported to the author. 
    Seems I screwed up the architecture setting with 8.1-1 once again...
    Hopefully correcting the debian/rules file sets things right (closes
    Bug#43433).
  
 -- Lars Steinke <lss@debian.org>  Tue, 05 Oct 1999 09:34:24 +0200

moodss (8.1-1) unstable; urgency=low

  * New upstream version, had to change architecture back to any
    as package now contains two libraries...

 -- Lars Steinke <lss@debian.org>  Tue, 17 Aug 1999 10:44:21 +0200

moodss (7.0-1) unstable; urgency=low

  * New upstream version

 -- Lars Steinke <lss@debian.org>  Mon, 21 Jun 1999 14:09:06 +0100

moodss (5.0-2) unstable; urgency=low

  * Corrected architecture: all

 -- Lars Steinke <lss@debian.org>  Mon, 26 Oct 1998 08:09:06 +0100

moodss (5.0-1) unstable; urgency=low

  * Version 4.4 did not work with blt-2.4f, this has been fixed in 5.0.

 -- Lars Steinke <lss@debian.org>  Tue, 20 Oct 1998 15:22:49 +0200
