=== debian/control ===
Source: moodss
Build-Depends: tcl8.4,tk8.4,tcl8.4-dev,tk8.4-dev,debhelper (>>4.0.0),libsqlite3-tcl,libsqlite3-dev 
Section: admin
Priority: optional
Maintainer: Lars Steinke <lss@debian.org>
Standards-Version: 3.6.1

Package: moodss
Architecture: any
Depends: tktable (>=2.6),blt (>=2.4u-2),tcl8.4,tk8.4,libsqlite3-tcl,libsqlite3-0,${shlibs:Depends}
Conflicts: blt8.0-2.4e
Suggests: scotty, lm-sensors, mysqltcl, pciutils
Description: Modular object oriented dynamic spread-sheet
 2/3D-visualisation for periodically updated data using drag and drop in a
 spreadsheet-like environment. Extensible via your own Tcl/Tk modules.
 Intended for use in system administration but should work in a lab just as
 well...
 .
 Check the module docs in /usr/share/doc/moodss/documentation/modules.htm !
 .
 Due to dependency problems moomps is NOT provided in Debian (yet, any  
 volunteers ?).
 Homepage: http://moodss.sf.net
