=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp
	make INCLUDES="-I /usr/include/tcl8.4" ROOTDIR=/ all

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	if [ -e *.a ]; then rm *.a; fi
	# Add here commands to clean up after the build process.
	make clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	# nothing to do...

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
#	cp -a *.tcl *.gif debian/tmp/usr/lib/moodss
	make INCLUDES="-I /usr/include/tcl8.4" ROOTDIR=debian/tmp install
	sed -e "s/debian\/tmp\/usr\/lib/\/usr\/lib/" debian/tmp/usr/bin/moodss > debian/tmp/usr/bin/moodss_
	sed -e "s/\/sbin/\/usr\/bin/" debian/tmp/usr/lib/moodss/pci/pci.tcl > debian/tmp/usr/lib/moodss/pci/pci.tcl_
	sed -e "s/\/sbin/\/usr\/sbin/" debian/tmp/usr/lib/moodss/usb/usb.tcl > debian/tmp/usr/lib/moodss/usb/usb.tcl_
	mv debian/tmp/usr/bin/moodss_ debian/tmp/usr/bin/moodss
	mv debian/tmp/usr/lib/moodss/pci/pci.tcl_ debian/tmp/usr/lib/moodss/pci/pci.tcl
	mv debian/tmp/usr/lib/moodss/usb/usb.tcl_ debian/tmp/usr/lib/moodss/usb/usb.tcl
	chmod 755 debian/tmp/usr/bin/moodss

#	rm -rf debian/tmp/etc debian/tmp/usr/sbin debian/tmp/usr/share/doc/moodss*

	dh_installdocs
	mv debian/tmp/usr/share/doc/moodss-*/* debian/tmp/usr/share/doc/moodss/documentation
	rm -rf debian/tmp/usr/share/doc/moodss-*
	rm -rf debian/tmp/usr/share/doc/moodss/documentation/moodss.1 debian/tmp/usr/share/doc/moodss/documentation/.xvpics
	dh_installexamples
	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installman
#	rm debian/tmp/usr/share/man/man1/moomps*
	dh_installchangelogs documentation/CHANGES
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
