## moodss 19.7-1ubuntu1

=== debian/changelog ===
moodss (19.7-1ubuntu1) edgy; urgency=low

  * Changed dep tktable --> libtktable

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Tue,  8 Aug 2006 08:05:17 -0500
