=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: moodss
 Architecture: any
-Depends: tktable (>=2.6),blt (>=2.4u-2),tcl8.4,tk8.4,libsqlite3-tcl,libsqlite3-0,${shlibs:Depends}
+Depends: libtktable (>=2.6),blt (>=2.4u-2),tcl8.4,tk8.4,libsqlite3-tcl,libsqlite3-0,${shlibs:Depends}
 Conflicts: blt8.0-2.4e
 Suggests: scotty, lm-sensors, mysqltcl, pciutils
 Description: Modular object oriented dynamic spread-sheet
