=== debian/changelog ===
moodss (19.7-1ubuntu2) gutsy; urgency=low

  * Apply the nmu-diff from
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=377790
    (Fixes the unmet deps).
  * debian/control: Modify Maintainer value to match
    DebianMaintainerField spec.

 -- Michael Bienia <geser@ubuntu.com>  Fri, 22 Jun 2007 22:36:45 +0200
